Users
Delete current user
Permanently delete the authenticated account and all its data. Requires verification (factor_code).
Authorization
bearerAuthorizationBearer token
User session token. Obtained from POST /api/auth/login.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
factor_code?string
Verification code (TOTP, email or passkey) proving the account owner approved the deletion
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://loading/api/users/@me" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"success": true
},
"error": null,
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}